classification
Title: Document sqlite3 vs. threads
Type: enhancement Stage:
Components: Documentation Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ghaering Nosy List: ghaering, terry.reedy, yacoob
Priority: normal Keywords:

Created on 2008-09-12 22:49 by ghaering, last changed 2010-08-06 06:12 by ghaering. This issue is now closed.

Messages (3)
msg73149 - (view) Author: Gerhard Häring (ghaering) * (Python committer) Date: 2008-09-12 22:49
In Issue3846, Martin proposed """"[...] I encourage you to review the
entire issue, though, and document
somewhere what promises are made under what conditions. Then a later
review can validate that the promises are really kept."""

Currently it's documented nowhere how the C implementation of the
sqlite3 module handles multithreading issues.
msg113024 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-05 19:17
Do you have any specific suggestion that something should be added somewhere, or is this a report that should be closed?
msg113078 - (view) Author: Gerhard Häring (ghaering) * (Python committer) Date: 2010-08-06 06:12
Fixed in r83747.
History
Date User Action Args
2010-08-06 06:12:36ghaeringsetstatus: open -> closed
resolution: fixed
messages: + msg113078
2010-08-05 19:17:13terry.reedysetnosy: + terry.reedy
messages: + msg113024
2010-04-14 21:21:28yacoobsetnosy: + yacoob
2008-09-12 22:49:51ghaeringcreate